Subject: 27.0.50; update-directory-autoloads does not ignore .so files

From: Eivind Fonn <[email-masked]>
Date: Thu, 1 Nov 2018 19:26:39 +0100

The function contains logic for ignoring compiled but loadable files,
with extensions .elc, .so and .dll. However the regular expression
for filtering these extensions out will incorrectly allow .so through.

autoload.el, update-directory-autoloads around line 1040:
"\\.\\(elc\\|\\so\\|dll\\)" should be "\\.\\(elc\\|so\\|dll\\)"